Investors, warrants & staking
Get S3 Object Upload Url
Generates a uuid-scoped file key and returns a presigned S3 upload URL for it.
POSThttps://api.toku.com/platform/get-s3-object-upload-url
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/platform/get-s3-object-upload-url' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fileType": "WARRANT_AGREEMENT",
"fileName": "string"
}'200 response
{
"url": "string",
"fileKey": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fileTypestringrequiredAvailable options: WARRANT_AGREEMENT, EXERCISE_NOTICE, PAYMENT_PROOF, GRANT_AGREEMENT, EIGHTY_THREE_B_ELECTION, EIGHTY_THREE_B_ELECTION_RECIEPT, RECIEPTS, SETTLEMENT_STATEMENT, SECTION_431_ELECTION_EMPLOYEE, SECTION_431_ELECTION_EMPLOYER, OTHER
fileNamestringrequiredResponse
200Successful response
urlstringrequiredfileKeystringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits